# PluginInstaller
This is the Ubuntu Linux ARM64 version of PluginInstaller 0.2.3, build #510, built on Fri 17 May 2024 09:01:55 NZST.

# _PluginInstaller_

This is the _PluginInstaller_.

The latest version can be downloaded from https://PluginInstaller.com

## Purchasing, licensing, activating

The _PluginInstaller_ is used to purchase, license, download, install and activate various tools.

The _PluginInstaller_ has two modes - _Standard Mode_ and _Developer/Publisher Mode_.

End users will normally only operate in _Standard Mode_.

Software developers might also need to operate in _Developer/Publisher Mode_.

## Standard Mode accounts

Before managing any licenses, the user needs to create and register an account in standard mode.

When registering, make sure to check your spam filter if the confirmation email does not arrive.

If you are using a personal computer in a secure office or home environment, you can opt to save the unlock code.

Otherwise, you have to re-enter the unlock code each time you restart the _PluginInstaller_.

It is OK to re-use the same email address and unlock code to create multiple accounts. 

E.g. you might have a personal account, a team account, an account specifically for a particular project,...

As long as you use a good descriptive name for each account, there will be no conflicts, even if more than
one account uses the same email address and unlock code.

## Developer/Publisher accounts

In addition to the standard account, you can optionally register for one or more developer/publisher accounts.

These accounts are not used for purchasing products; instead they are used for productizing and protecting your own software developments.

A developer/publisher account can also be used to sublicense (auto-activation) select activations.

For example, when you purchase a license for JSXGetURL using a standard account, you can then switch over to a developer
account and 'sublicense' this license. 'sublicensing' involves embedding some special strings into your own source code,
and by doing so, you can 'pass on' the license to run JSXGetURL. 

Your end-user would then be able to run your software, and automatically 'inherit' a license to JSXGetURL.

## Tightener daemon

The _PluginInstaller_ embeds a copy of the Tightener daemon, which is used by 
various tools, e.g. the Creative Developer Tools.

The daemon can be enabled via the _PluginInstaller_ preferences screen.

Once enabled, launching the _PluginInstaller_ is enough to trigger the daemon.

If you suspect the daemon is not (yet) running, simply opening
_PluginInstaller_ and enabling the proper preference will (re)start the daemon. 




